package com.mortals.xhx.module.device.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.device.model.DeviceStatEntity;

import java.util.List;

/**
 * DeviceStatService
 * <p>
 * 设备统计 service接口
 *
 * @author zxfei
 * @date 2022-07-05
 */
public interface DeviceStatService extends ICRUDService<DeviceStatEntity, Long> {

    /**
     * 设备统计当天情况
     * @param context
     */
    void deviceStat(Long siteId,Context context);

    /**
     * 统计指定天的所有站点报表
     * @param context
     */
    void deviceStatByDay(String dateStr,Context context);

    List<DeviceStatEntity> getBillInfos(Long siteId,String createTimeStart, Integer datePattern, PageInfo pageInfo, Context context);

}